Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1650066 - Custom button with `display_for=List` displays on SUI summary page
Summary: Custom button with `display_for=List` displays on SUI summary page
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.z
Assignee: Martin Hradil
QA Contact: Nikhil Dhandre
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 09:49 UTC by Nikhil Dhandre
Modified: 2021-05-04 03:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Nikhil Dhandre 2018-11-15 09:49:38 UTC
Description of problem:
-----------------------


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
Version: 5.10.0.22.20181030184024_26956a0


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1. Create a custom button on `Service` object with the display for option as `List`

2. Navigate to MyService and check. It displays on `All` page but not on `Summary` Page

3. Now, Navigate to SSUI > MyServices. It's not displayed on `All` page  but displayed on `Summary` Page


Actual results:
---------------
List display for a button; display on the summary page of SSUI service.


Expected results:
-----------------
As per the custom button display_for option selection:
List: should only display on All page
Single: Should only display on the Summary page
Single and List: Should display on both Summery and All page


Additional info:
----------------

Comment 4 Allen W 2019-02-01 13:51:25 UTC
Hi Nikhil!  Would you mind checking if this is still an issue? there have been a number of updates to the custom buttons since this was filed, wondering if perhaps one of those fixed this, (and if not can yah provide an IP of a machine exhibiting the issue?)

Comment 7 Sudhir Mallamprabhakara 2019-07-23 14:25:47 UTC
This BZ has been reported and pending for a long time. It is blocking multiple automated tests. Can we have a target release for this?

Comment 11 CFME Bot 2019-08-13 15:51:21 UTC
New commit detected on ManageIQ/manageiq-ui-service/master:

https://github.com/ManageIQ/manageiq-ui-self_service/commit/420f00981c3c0c534e6e6a29819251bf20e61139
commit 420f00981c3c0c534e6e6a29819251bf20e61139
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Jul 25 13:24:30 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Jul 25 13:24:30 2019 -0400

    Service detail - only show custom buttons for single/both, not list

    custom buttons with display_for='list' should only get shown on a service list screen,
    which the SUI doesn't have

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1650066

 client/app/services/service-details/service-details.html | 6 +-
 1 file changed, 4 insertions(+), 2 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.